> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch AI reply suggestion for feedback results

> <Warning>
The Feedback Management API is currently in **BETA**, therefore the following endpoints are subject to modification, given a **2 week notice**.

If you are planning to use any of them, please **notify us** so we will be able to keep you informed about upcoming changes.
</Warning>

Fetch a reply suggestion generated by AI for a specific feedback result.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /feedback/feedback_result/fetch-suggestion/{feedback_result_id}/{index}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /feedback/feedback_result/fetch-suggestion/{feedback_result_id}/{index}:
    get:
      tags:
        - Feedback Management
      summary: Fetch AI reply suggestion for feedback results
      description: >
        <Warning>

        The Feedback Management API is currently in **BETA**, therefore the
        following endpoints are subject to modification, given a **2 week
        notice**.


        If you are planning to use any of them, please **notify us** so we will
        be able to keep you informed about upcoming changes.

        </Warning>


        Fetch a reply suggestion generated by AI for a specific feedback result.
      operationId: fetchFeedbackReplySuggestion
      parameters:
        - in: path
          name: feedback_result_id
          required: true
          schema:
            type: integer
            description: ID of the feedback result
        - in: path
          name: index
          required: true
          schema:
            type: integer
            minimum: 0
            maximum: 2
            description: Index of the reply suggestion (0, 1, or 2)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/feedback_result_reply_suggestion'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  schemas:
    feedback_result_reply_suggestion:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier of the reply suggestion
          example: 1
        index:
          type: integer
          description: Index of the reply suggestion
          example: 0
        content:
          type: string
          description: Content of the reply suggestion
          example: Thank you for your feedback.
        feedback_result_id:
          type: integer
          description: Identifier of the feedback result
          example: 123
        report:
          type: object
          description: Report details if the suggestion was reported (can be null)
          properties:
            id:
              type: integer
              description: Report id
              example: 3587
            user_id:
              type: string
              description: User id of the user who reported the suggestion
              example: xyz123
            created_at:
              type: string
              format: datetime
              description: Date the review suggestion report was created on
              example: '2025-05-12T12:57:21.895170Z'
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````